curl --request POST \
--url https://api.omnimux.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seed-evolving",
"messages": [
{
"role": "user",
"content": "介绍一下人工智能的发展历史"
}
]
}
'{
"id": "chatcmpl-example",
"object": "chat.completion",
"created": 1741428397,
"model": "seed-evolving",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "…"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 18,
"completion_tokens": 120,
"total_tokens": 138
}
}{
"error": {
"message": "Invalid request: missing required field or invalid parameter",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Invalid token or authentication failed",
"type": "authentication_error",
"code": "unauthorized"
}
}{
"error": {
"message": "Insufficient quota. Please top up your account.",
"type": "insufficient_quota",
"code": "insufficient_quota"
}
}{
"error": {
"message": "Model not allowed for this token, or access denied",
"type": "permission_error",
"code": "forbidden"
}
}{
"error": {
"message": "Not found",
"type": "invalid_request_error",
"code": "not_found"
}
}{
"error": {
"message": "Rate limit exceeded. Please retry later.",
"type": "rate_limit_error",
"code": "rate_limit_exceeded"
}
}{
"error": {
"message": "Internal server error",
"type": "server_error",
"code": "internal_error"
}
}{
"error": {
"message": "Upstream provider error or bad gateway",
"type": "server_error",
"code": "bad_gateway"
}
}{
"error": {
"message": "Service temporarily unavailable",
"type": "server_error",
"code": "service_unavailable"
}
}Doubao
Doubao · 完整参数
Doubao · Chat Completions 完整参数(同合同,model 枚举)
POST
/
v1
/
chat
/
completions
curl --request POST \
--url https://api.omnimux.ai/v1/chat/completions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "seed-evolving",
"messages": [
{
"role": "user",
"content": "介绍一下人工智能的发展历史"
}
]
}
'{
"id": "chatcmpl-example",
"object": "chat.completion",
"created": 1741428397,
"model": "seed-evolving",
"choices": [
{
"index": 0,
"message": {
"role": "assistant",
"content": "…"
},
"finish_reason": "stop"
}
],
"usage": {
"prompt_tokens": 18,
"completion_tokens": 120,
"total_tokens": 138
}
}{
"error": {
"message": "Invalid request: missing required field or invalid parameter",
"type": "invalid_request_error",
"code": "bad_request"
}
}{
"error": {
"message": "Invalid token or authentication failed",
"type": "authentication_error",
"code": "unauthorized"
}
}{
"error": {
"message": "Insufficient quota. Please top up your account.",
"type": "insufficient_quota",
"code": "insufficient_quota"
}
}{
"error": {
"message": "Model not allowed for this token, or access denied",
"type": "permission_error",
"code": "forbidden"
}
}{
"error": {
"message": "Not found",
"type": "invalid_request_error",
"code": "not_found"
}
}{
"error": {
"message": "Rate limit exceeded. Please retry later.",
"type": "rate_limit_error",
"code": "rate_limit_exceeded"
}
}{
"error": {
"message": "Internal server error",
"type": "server_error",
"code": "internal_error"
}
}{
"error": {
"message": "Upstream provider error or bad gateway",
"type": "server_error",
"code": "bad_gateway"
}
}{
"error": {
"message": "Service temporarily unavailable",
"type": "server_error",
"code": "service_unavailable"
}
}
- 协议:OpenAI Chat Completions(
POST /v1/chat/completions)- 本页为 Doubao 共用合同;换模型只改 body 的
model- 默认同步;
stream: true流式- 规格特性:1024K 上下文窗口、256K 最大回答输出、支持多模态(文本 / 图像 / 视频)与深度思考
可用 model
| model id | 说明 |
|---|---|
seed-evolving | 字节跳动火山方舟官方直连多模态深度思考模型(100 万字上下文) |
https://api.omnimux.ai
本地 OmniMux CLI 命令行测试与验证
通过本地官方omnimux 命令行工具可直接查验与发起调用验证:
# 1. 检查网关模型可见性
omnimux models
# 2. 查询最新官方原价与计费表达式
omnimux pricing
# 3. 使用安全令牌注入发起端到端真实对话测试(密钥不出现于命令行与日志中)
omnimux tokens exec <TOKEN_ID> --yes -- curl -sS https://api.omnimux.ai/v1/chat/completions \
-H "Content-Type: application/json" \
-H "Authorization: Bearer __OMNIMUX_TOKEN_<TOKEN_ID>__" \
-H "X-Omnimux-Group: default" \
-d '{
"model": "seed-evolving",
"messages": [
{"role": "user", "content": "你好,请确认服务状态可用并简要介绍自我能力。"}
],
"max_tokens": 100
}'
授权
API key auth. Header: Authorization: Bearer sk-... (create keys in the OmniMux console).
请求体
application/json
Model id for this brand on OmniMux. Same request/response shape for all ids below; only the model value changes.
可用选项:
seed-evolving 示例:
"seed-evolving"
对话消息列表
Show child attributes
Show child attributes
采样温度
必填范围:
0 <= x <= 2核采样参数
必填范围:
0 <= x <= 1生成数量
必填范围:
x >= 1是否流式响应
Show child attributes
Show child attributes
停止序列
最大生成 Token 数
最大补全 Token 数
必填范围:
-2 <= x <= 2必填范围:
-2 <= x <= 2Show child attributes
Show child attributes
Show child attributes
Show child attributes
可用选项:
none, auto, required Show child attributes
Show child attributes
推理强度 (用于支持推理的模型)
可用选项:
low, medium, high 可用选项:
text, audio Show child attributes
Show child attributes